| FFmpegKit iOS / macOS / tvOS API 4.5

Functions | Variables
fftools_ffmpeg_hw.c File Reference

Go to the source code of this file.

## Functions
static HWDevice * | hw_device_get_by_type (enum AVHWDeviceType type)
HWDevice * | hw_device_get_by_name (const char *name)
static HWDevice * | hw_device_add (void)
static char * | hw_device_default_name (enum AVHWDeviceType type)
int | hw_device_init_from_string (const char *arg, HWDevice **dev_out)
static int | hw_device_init_from_type (enum AVHWDeviceType type, const char *device, HWDevice **dev_out)
void | hw_device_free_all (void)
static HWDevice * | hw_device_match_by_codec (const AVCodec *codec)
int | hw_device_setup_for_decode (InputStream *ist)
int | hw_device_setup_for_encode (OutputStream *ost)
static int | hwaccel_retrieve_data (AVCodecContext *avctx, AVFrame *input)
int | hwaccel_decode_init (AVCodecContext *avctx)
int | hw_device_setup_for_filter (FilterGraph *fg)

## Variables
__thread int | nb_hw_devices
__thread HWDevice ** | hw_devices

## Function Documentation

## ◆ hw_device_add()

static HWDevice * hw_device_add | ( | void |  | ) |
| static

Definition at line 63 of file fftools_ffmpeg_hw.c.

## ◆ hw_device_default_name()

static char * hw_device_default_name | ( | enum AVHWDeviceType | type | ) |
| static

Definition at line 78 of file fftools_ffmpeg_hw.c.

## ◆ hw_device_free_all()

void hw_device_free_all | ( | void |  | ) |

Definition at line 283 of file fftools_ffmpeg_hw.c.

## ◆ hw_device_get_by_name()

HWDevice * hw_device_get_by_name | ( | const char * | name | ) |

Definition at line 53 of file fftools_ffmpeg_hw.c.

## ◆ hw_device_get_by_type()

static HWDevice * hw_device_get_by_type | ( | enum AVHWDeviceType | type | ) |
| static

Definition at line 39 of file fftools_ffmpeg_hw.c.

## ◆ hw_device_init_from_string()

int hw_device_init_from_string | ( | const char * | arg,
|  | HWDevice ** | dev_out
| ) |  |

Definition at line 103 of file fftools_ffmpeg_hw.c.

## ◆ hw_device_init_from_type()

static int hw_device_init_from_type | ( | enum AVHWDeviceType | type,
|  | const char * | device,
|  | HWDevice ** | dev_out
| ) |  |
| static

Definition at line 240 of file fftools_ffmpeg_hw.c.

## ◆ hw_device_match_by_codec()

static HWDevice * hw_device_match_by_codec | ( | const AVCodec * | codec | ) |
| static

Definition at line 295 of file fftools_ffmpeg_hw.c.

## ◆ hw_device_setup_for_decode()

int hw_device_setup_for_decode | ( | InputStream * | ist | ) |

Definition at line 312 of file fftools_ffmpeg_hw.c.

## ◆ hw_device_setup_for_encode()

int hw_device_setup_for_encode | ( | OutputStream * | ost | ) |

Definition at line 440 of file fftools_ffmpeg_hw.c.

## ◆ hw_device_setup_for_filter()

int hw_device_setup_for_filter | ( | FilterGraph * | fg | ) |

Definition at line 546 of file fftools_ffmpeg_hw.c.

## ◆ hwaccel_decode_init()

int hwaccel_decode_init | ( | AVCodecContext * | avctx | ) |

Definition at line 537 of file fftools_ffmpeg_hw.c.

## ◆ hwaccel_retrieve_data()

static int hwaccel_retrieve_data | ( | AVCodecContext * | avctx,
|  | AVFrame * | input
| ) |  |
| static

Definition at line 495 of file fftools_ffmpeg_hw.c.

## Variable Documentation

## ◆ hw_devices

__thread HWDevice** hw_devices

Definition at line 37 of file fftools_ffmpeg_hw.c.

## ◆ nb_hw_devices

__thread int nb_hw_devices

Definition at line 36 of file fftools_ffmpeg_hw.c.